Bug 155120 - Update of port devel/php-libawl
Summary: Update of port devel/php-libawl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-28 13:40 UTC by Matthias Fechner
Modified: 2011-09-01 13:02 UTC (History)
0 users

See Also:


Attachments
file.diff (3.77 KB, patch)
2011-02-28 13:40 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2011-02-28 13:40:15 UTC
The current version of the port devel/php-libawl has a bug in the released version that prevents iCal to display any calendar entries. The attached patch fixes that problem.
This patch will be included in the next realease of php-libawl.

Fix: Please apply the attached patch to the port.

Patch attached with submission follows:
How-To-Repeat: Make a calendar entry with one device and try to see it with iCal.
Comment 1 Edwin Groothuis freebsd_committer 2011-02-28 13:40:28 UTC
Maintainer of devel/php-libawl,

Please note that PR ports/155120 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155120

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-02-28 13:40:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tilman Keskinoz freebsd_committer 2011-08-08 20:06:15 UTC
State Changed
From-To: feedback->open

maintainer timeout
Comment 4 Cristiano Rolim Pereira 2011-08-09 15:18:48 UTC
OK, I aprove this patch.

Thank you.
Comment 5 dfilter service freebsd_committer 2011-09-01 12:59:57 UTC
stefan      2011-09-01 11:59:44 UTC

  FreeBSD ports repository

  Modified files:
    devel/php-libawl     Makefile 
  Added files:
    devel/php-libawl/files patch-inc-iCalendar.php 
                           patch-inc-vComponents.php 
  Log:
  Patch a bug in php-libawl that prevents iCal to display any calendar entries.
  
  PR:             155120
  Submitted by:   Matthias Fechner <idefix@fechner.net>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.13      +4 -0      ports/devel/php-libawl/Makefile
  1.1       +37 -0     ports/devel/php-libawl/files/patch-inc-iCalendar.php (new)
  1.1       +28 -0     ports/devel/php-libawl/files/patch-inc-vComponents.php (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Stefan Walter freebsd_committer 2011-09-01 13:00:42 UTC
State Changed
From-To: open->closed

Committed, thanks! (I have added a post-patch target that removes the backups 
made by patch(1), though, as those files would otherwise be left behind when 
deinstalling.)